Bug 565811 - Review Request: rubygem-rest-client - Simple REST client for Ruby
Summary: Review Request: rubygem-rest-client - Simple REST client for Ruby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 12
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-16 12:08 UTC by Michal Fojtik
Modified: 2014-08-01 16:04 UTC (History)
5 users (show)

Fixed In Version: rubygem-rest-client-1.6.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 11:41:12 UTC
Type: ---
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-02-16 12:08:45 UTC
Spec URL: http://mifo.sk/rubygem-rest_client.spec
SRPM URL: http://mifo.sk/rubygem-rest-client-1.3.1-1.fc12.src.rpm
Description:

A simple Simple HTTP and REST client for Ruby, inspired by the Sinatra
microframework style of specifying actions: get, put, post, delete.

Comment 1 Lubomir Rintel 2010-02-16 14:38:43 UTC
1.) Your spec file is incorrectly named, please s/_/-/

2.) You lack the ruby abi dependency. Please add Requires: ruby(abi) = 1.8

In other respects the package seems fine:
* Correctly named
* Correctly versioned, packing the latest version
* Source checksum correct
* SPEC file clean and legible
* American english used
* Documentation files marked correctly
* License correct and permitted in Fedora
* Builds fine in mock

Comment 2 Michal Fojtik 2010-02-16 14:48:20 UTC
Thank you Lubomir,

1) Fixed
2) Added

Spec URL: http://mifo.sk/rubygem-rest-client.spec
SRPM URL: http://mifo.sk/rubygem-rest-client-1.3.1-1.fc12.src.rpm

Comment 3 Lubomir Rintel 2010-02-16 14:54:05 UTC
This package looks sane and is approved. Setting fedora-review FLAGA.

APPROVED

Comment 4 Michal Fojtik 2010-02-16 15:15:33 UTC
New Package CVS Request
=======================
Package Name: rubygem-rest-client
Short Description: Simple REST client for Ruby
Owners: mfojtik
Branches: F-11 F-12 EL-5

Comment 5 Mamoru TASAKA 2010-02-16 15:44:16 UTC
Quick notes:

- README.rdoc says that license is under MIT
- build.log says there is some duplicate %files entry,
  please fix this (this is a MUST item)
  https://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- Now we prefer to use %global over %define
  https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
- Please use %geminstdir macro in %files list because you have
  explicitly defined this.

Comment 6 Michal Fojtik 2010-02-16 16:33:00 UTC
(In reply to comment #5)
> Quick notes:
> 
> - README.rdoc says that license is under MIT

FIXED

> - build.log says there is some duplicate %files entry,
>   please fix this (this is a MUST item)
>   https://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

FIXED

> - Now we prefer to use %global over %define

FIXED

>  
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
> - Please use %geminstdir macro in %files list because you have
>   explicitly defined this.    

FIXED

Thanks for all suggestions Mamoru!

Spec URL: http://mifo.sk/rubygem-rest-client.spec
SRPM URL: http://mifo.sk/rubygem-rest-client-1.3.1-1.fc12.src.rpm

Comment 7 Mamoru TASAKA 2010-02-16 16:52:10 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > - build.log says there is some duplicate %files entry,
> >   please fix this (this is a MUST item)
> >   https://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
> FIXED

- Well, please mark "README.rdoc" or so as %doc properly.

Also please change the release number of your spec file
every time you modify your srpm (even during package review)
to avoid confusion.

Comment 8 Michal Fojtik 2010-02-17 09:10:52 UTC
Sure, I marked 'README.rdoc' and 'spec/' and 'history.md' as %doc as well.
Release number is 4 (4 modification of spec file):

Spec URL: http://mifo.sk/rubygem-rest-client.spec
SRPM URL: http://mifo.sk/rubygem-rest-client-1.3.1-4.fc12.src.rpm

Comment 9 Mamoru TASAKA 2010-02-17 10:12:52 UTC
Well, 
- %{geminstdir}/.yardoc seem to be installed but is not
  listed in %files. Please add this (and perhaps this can
  be added as %doc)
- Also add "%dir %{geminstdir}" to %files

And this seems okay.
Note: Now F-13 is branched.

Comment 10 Michal Fojtik 2010-02-17 13:29:18 UTC
(In reply to comment #9)
> Well, 
> - %{geminstdir}/.yardoc seem to be installed but is not
>   listed in %files. Please add this (and perhaps this can
>   be added as %doc)

I can't see any file with this name. Also when I add this line into %files, rpmbuild fails. Any details ?

> - Also add "%dir %{geminstdir}" to %files

FIXED

Spec URL: http://mifo.sk/rubygem-rest-client.spec
SRPM URL: http://mifo.sk/rubygem-rest-client-1.3.1-5.fc12.src.rpm

Comment 11 Mamoru TASAKA 2010-02-17 14:10:34 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Well, 
> > - %{geminstdir}/.yardoc seem to be installed but is not
> >   listed in %files. Please add this (and perhaps this can
> >   be added as %doc)
> 
> I can't see any file with this name. Also when I add this line into %files,
> rpmbuild fails. Any details ?

- Ah, I have rubygem-yard (bug 562993) installed and this
  overrides "$ gem install" behavior.

> > - Also add "%dir %{geminstdir}" to %files
> 
> FIXED
> 
> Spec URL: http://mifo.sk/rubygem-rest-client.spec
> SRPM URL: http://mifo.sk/rubygem-rest-client-1.3.1-5.fc12.src.rpm 

Looks good.

Comment 13 Michal Fojtik 2010-02-17 15:27:21 UTC
New Package CVS Request
=======================
Package Name: rubygem-rest-client
Short Description: Simple REST client for Ruby
Owners: mfojtik
Branches: F-11 F-12 F-13 EL-5

Comment 14 Jason Tibbitts 2010-02-19 20:07:18 UTC
CVS done (by process-cvs-requests.py).

Comment 15 Fedora Update System 2010-02-22 09:22:49 UTC
rubygem-rest-client-1.3.1-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-rest-client-1.3.1-5.fc11

Comment 16 Fedora Update System 2010-02-22 09:34:37 UTC
rubygem-rest-client-1.3.1-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-rest-client-1.3.1-5.fc12

Comment 17 Fedora Update System 2010-02-22 09:47:27 UTC
rubygem-rest-client-1.3.1-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-rest-client-1.3.1-5.fc13

Comment 18 Fedora Update System 2010-02-22 09:55:27 UTC
rubygem-rest-client-1.3.1-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-rest-client-1.3.1-5.el5

Comment 19 Fedora Update System 2010-02-23 05:22:58 UTC
rubygem-rest-client-1.3.1-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-02-23 05:27:12 UTC
rubygem-rest-client-1.3.1-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-02-23 05:27:24 UTC
rubygem-rest-client-1.3.1-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-03-12 03:39:39 UTC
rubygem-rest-client-1.3.1-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Michal Fojtik 2010-07-14 09:25:29 UTC
Package Change Request
======================
Package Name: rubygem-rest-client
New Branches: EL-6
Owners: mfojtik

Comment 24 Fedora Update System 2010-11-04 15:52:43 UTC
rubygem-rest-client-1.6.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-rest-client-1.6.1-1.fc13

Comment 25 Fedora Update System 2010-11-04 15:53:35 UTC
rubygem-rest-client-1.6.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-rest-client-1.6.1-1.fc14

Comment 26 Fedora Update System 2010-11-22 22:19:49 UTC
rubygem-rest-client-1.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2010-11-22 22:22:37 UTC
rubygem-rest-client-1.6.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Troy Dawson 2014-08-01 13:38:08 UTC
Package Change Request
======================
Package Name: rubygem-rest-client
New Branches: epel7
Owners: tdawson

Comment 29 Gwyn Ciesla 2014-08-01 16:04:20 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.